Kerbal Space Program - Bug #4796

Unexplained fuel drain
04/28/2015 07:33 PM - Ecthelon

Status: Closed Start date: 04/28/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

In the attached ship file, the fuel in the tanks of the second stage up inexplicably drain when the first stage is activated on takeoff.

This is very easy to replicate, as you can see that they drain upon launch for no reason, and those 3 outer engines have no fuel
when their stage is started.

Have tried connecting lower stages with different parts and removing engines but tanks still drain.
Seem to split evenly between the tanks below them somehow.

Has happened since previous version when | first made this ship, only now annoyed me enough to report it when it didn't fix with the
update (sorry!).

History

#1 - 04/29/2015 03:59 AM - zhollett

- File Structural Fuselage.craft added

- File screenshot0.jpg added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| can confirm this bug. The parts in question are the Structural Fuselage combined with either the TT-38K or the TT-70 radial decouplers.
| have attached a new .craft file which displays this bug as described by the OP but in a much smaller example :)

Steps to reproduce:

1. Launch the attached craft file called "Structural Fuselage.craft"

2. The craft starts off with the Structural Fuselage attached to the TT-38K.

3. Stage the engine and you will notice the fuel drains from the tank under the Command Pod in Stage 1, which it should not do.
4. Revert back to VAB and move the Structural Fuselage (and everything below it) to the Structural Pylon and re-launch the craft
5. Upon staging, you will see the expected behaviour (the fuel tank below the command pod stays full)

Notes from testing:
(Note to OP: An interim fix for your craft would be to use Structural Pylon's instead of TT-38K’s)

If you place any other piece above the tank in stage 0 instead of the Structural Fuselage, you get the expected results, the fuel will not drain from the
tank under the command pod.

(Note to OP: This is another interim fix for you, | got the best weight results by replacing the Structural Fuselage with EMPTY MK1-Liquid Fuel
Fuselage's)

#2 - 05/01/2015 06:10 PM - Kasuha

Technically not a bug - the fact that a part which is not a fuel tank drains fuel from its parent part is intended behavior. Radial engines rely on that. But
could be improved by disabling fuel crossfeed on radial decouplers.

#4 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)
#5 - 07/17/2016 09:32 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/09/2016 01:17 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

Race mk3.craft 532 KB 04/28/2015 Ecthelon
Structural Fuselage.craft 15.9 KB 04/29/2015 zhollett
screenshot0.jpg 312 KB 04/29/2015 zhollett
